Devuan bug report logs - #506
libvirt-daemon-system should not depend on policykit-1

version graph

Package: libvirt-daemon-system; Maintainer for libvirt-daemon-system is Andreas Messer <andi@bastelmap.de>; Source for libvirt-daemon-system is src:libvirt.

Reported by: "Thierry B." <thierryb@zaclys.net>

Date: Wed, 12 Aug 2020 16:03:01 UTC

Severity: wishlist

Found in version 6.5.0-1

Fixed in version libvirt-daemon-system/6.5.0-1+devuan3

Done: Andreas Messer <andi@bastelmap.de>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Wed, 12 Aug 2020 16:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
New bug report received and forwarded. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Wed, 12 Aug 2020 16:03:05 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: submit@bugs.devuan.org
Subject: libvirt-daemon-system should not depend on policykit-1
Date: Wed, 12 Aug 2020 17:41:11 +0200
Package: libvirt-daemon-system
Version: 6.5.0-1
Severity: wishlist

This is a follow-up to Debian bugs reports :

- #897936: libvirt-daemon-system should not depend on policykit-1
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897936

and

- #768376: libvirt-daemon-system: Please downgrade policykit-1
dependency to recommends
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=768376

As you can see in these Debian reports, Debian will doing nothing, so
this i a feature request to fork this package to downgrade "policykit-1"
from Depends tp Recommends

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Thu, 13 Aug 2020 09:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Thu, 13 Aug 2020 09:18:13 GMT) (full text, mbox, link).


Message #10 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Thu, 13 Aug 2020 10:05:41 +0100
Thierry,

Thanks for this.

On Wed, Aug 12, 2020 at 05:41:11PM +0200, Thierry B. wrote:
> Package: libvirt-daemon-system
> Version: 6.5.0-1
> Severity: wishlist
> 
> This is a follow-up to Debian bugs reports :
> 
> - #897936: libvirt-daemon-system should not depend on policykit-1
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897936
> 
> and
> 
> - #768376: libvirt-daemon-system: Please downgrade policykit-1
> dependency to recommends
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=768376
> 
> As you can see in these Debian reports, Debian will doing nothing, so
> this i a feature request to fork this package to downgrade "policykit-1"
> from Depends tp Recommends

Do you have packaging skills? Would you be prepared to maintain the fork?

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Thu, 13 Aug 2020 12:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Thu, 13 Aug 2020 12:48:10 GMT) (full text, mbox, link).


Message #15 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Thu, 13 Aug 2020 14:31:56 +0200
Le 13/08/2020 à 11:05, Mark Hindley a écrit :
> Thierry,
> 
> Thanks for this.
> 
> 
> Do you have packaging skills? Would you be prepared to maintain the fork?
> 
> Mark
> 

I'm afraid not when I read
https://www.debian.org/doc/manuals/maint-guide/start.en.html chapters,
and I never did that for any distribution. Also it means doing it for
all architectures.

The only thing I know is how to remove policikit-1 dependency for
myself, as I have blacklisted this package and need to rebuild gedebi,
synaptic, gparted and libvirt-daemon-system on my system.

Here is what I do each time there is a new version for theses packages:

$ cd ~/tmp
$ apt download libvirt-daemon-system
$ dpkg-deb -x ./libvirt-daemon-system_6.5.0-1_amd64.deb
libvirt-daemon-system_6.5.0-1_amd64
$ mkdir ./libvirt-daemon-system_6.5.0-1_amd64/DEBIAN
$ dpkg-deb -e libvirt-daemon-system_6.5.0-1_amd64.deb
libvirt-daemon-system_6.5.0-1_amd64/DEBIAN
$ nano libvirt-daemon-system_6.5.0-1_amd64/DEBIAN/control # to move
policykit-1 to Recommends
$ mv libvirt-daemon-system_6.5.0-1_amd64.deb
libvirt-daemon-system_6.5.0-1_amd64.deb.old
$ dpkg-deb -b libvirt-daemon-system_6.5.0-1_amd64
$ sudo apt install ./libvirt-daemon-system_6.5.0-1_amd64.deb








Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Thu, 13 Aug 2020 13:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Thu, 13 Aug 2020 13:33:08 GMT) (full text, mbox, link).


Message #20 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Thu, 13 Aug 2020 14:17:40 +0100
On Thu, Aug 13, 2020 at 02:31:56PM +0200, Thierry B. wrote:
> Le 13/08/2020 à 11:05, Mark Hindley a écrit :
> > Thierry,
> > 
> > Thanks for this.
> > 
> > 
> > Do you have packaging skills? Would you be prepared to maintain the fork?
> > 
> > Mark
> > 
> 
> I'm afraid not when I read
> https://www.debian.org/doc/manuals/maint-guide/start.en.html chapters,
> and I never did that for any distribution. Also it means doing it for
> all architectures.

The Devuan maintainers guide is at

 https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
 
I would be happy to guide you through the process. The good news is that you
don't have to do each architecture separately as the production build process
takes care of that.

Devuan is relatively short of person-power to fork new packages, so it may well
be a while before anybody feels able to take anything extra on. And it is better
to have somebody maintaining who actually makes use of the package.

Best wishes

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 11:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to Andreas Messer <andi@bastelmap.de>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 11:33:09 GMT) (full text, mbox, link).


Message #25 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Andreas Messer <andi@bastelmap.de>
To: devuan-bugs@lists.dyne.org
Cc: thierryb@zaclys.net, 506@bugs.devuan.org
Subject: Re: [Devuan-bugs] bug#506: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 13:11:29 +0200
[Message part 1 (text/plain, inline)]
Hi there, 

On Thu, Aug 13, 2020 at 02:17:40PM +0100, Where all about bugs in Devuan packages is reported wrote:
> [...]
> 
> Devuan is relatively short of person-power to fork new packages, so it may well
> be a while before anybody feels able to take anything extra on. And it is better
> to have somebody maintaining who actually makes use of the package.

I could step into maintaining this fork if required. (I'm also using
libvirt...)

cheers,
Andreas


-- 
gnuPG keyid: 8C2BAF51
fingerprint: 28EE 8438 E688 D992 3661 C753 90B3 BAAA 8C2B AF51
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 11:33:11 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 11:33:13 GMT) (full text, mbox, link).


Message #30 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: Andreas Messer <amesser@physik.uni-wuerzburg.de>
Cc: thierryb@zaclys.net, 506@bugs.devuan.org
Subject: Re: bug#506: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 12:23:16 +0100
Andreas,

On Fri, Aug 14, 2020 at 01:11:29PM +0200, Where all about bugs in Devuan packages is reported wrote:
> Hi there, 
> 
> On Thu, Aug 13, 2020 at 02:17:40PM +0100, Where all about bugs in Devuan packages is reported wrote:
> > [...]
> > 
> > Devuan is relatively short of person-power to fork new packages, so it may well
> > be a while before anybody feels able to take anything extra on. And it is better
> > to have somebody maintaining who actually makes use of the package.
> 
> I could step into maintaining this fork if required. (I'm also using
> libvirt...)

That would be great -- thanks.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 12:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 12:03:04 GMT) (full text, mbox, link).


Message #35 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 13:47:55 +0200
Le 13/08/2020 à 15:17, Mark Hindley a écrit :

> 
> The Devuan maintainers guide is at
> 
>  https://git.devuan.org/devuan/documentation/src/branch/master/maintainers
>  
> I would be happy to guide you through the process. The good news is that you
> don't have to do each architecture separately as the production build process
> takes care of that.
> 
> Devuan is relatively short of person-power to fork new packages, so it may well
> be a while before anybody feels able to take anything extra on. And it is better
> to have somebody maintaining who actually makes use of the package.
> 
> Best wishes
> 
> Mark
> 

I give it a try to see if if it is something I can handle. I followed
the guide in your link on a new Devuan ceres virtual machine and even I
do not understand about nearly 75% of stuff inside the guide I am used
to git.

Now i am stuck at section #5 "Local build" in "Packaging Workflow" ->
https://pastebin.com/Yrn3j7Ux

I did all the steps before excepting this :

So far the guide says nothing about build dependencies. After some
researches I did:

$ sudo mk-build-deps -i
$ sudo apt install ./libvirt-build-deps_6.5.0-1+devuan1_amd64.deb

I also get the sources with "apt source" and I noticed one difference.
There is a "debian/gbp.conf" in git repository that I do not see in
debian sources. I changed "pristine-tar" to "false" as indicated in the
guide but as we can see in pastebin this file seems to be ignored:
> (dpkg-source: info: using options from libvirt/debian/source/options: --tar--ignore=debian/gbp.conf)

Also in "debian/control" section I did not found a source stanza
"Origin" in "debian/control"

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 14:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 14:03:09 GMT) (full text, mbox, link).


Message #40 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 14:51:38 +0100
Thierry,

On Fri, Aug 14, 2020 at 01:47:55PM +0200, Thierry B. wrote:
> I give it a try to see if if it is something I can handle.

Great.

> I followed the guide in your link on a new Devuan ceres virtual machine and
> even I do not understand about nearly 75% of stuff inside the guide I am used
> to git.
> Now i am stuck at section #5 "Local build" in "Packaging Workflow" ->
> https://pastebin.com/Yrn3j7Ux

If you push your tree to your account on https://git.devuan.org, I will have a
look.

> I did all the steps before excepting this :
> 
> So far the guide says nothing about build dependencies. After some
> researches I did:

One of the nice things about gbp is you don't have to worrk about build-deps --
it handles that for you cleanly in the build chroot without messing with the
host system.

> $ sudo mk-build-deps -i
> $ sudo apt install ./libvirt-build-deps_6.5.0-1+devuan1_amd64.deb
> 
> I also get the sources with "apt source" and I noticed one difference.
> There is a "debian/gbp.conf" in git repository that I do not see in
> debian sources. I changed "pristine-tar" to "false" as indicated in the
> guide but as we can see in pastebin this file seems to be ignored:
> > (dpkg-source: info: using options from libvirt/debian/source/options:
> --tar--ignore=debian/gbp.conf)

I think that is OK. That is just for the build of the new source tarball.

> Also in "debian/control" section I did not found a source stanza
> "Origin" in "debian/control"

If it isn't there, you create it. I usually put it next to the Vcs-* fields.

Thanks.

Mark


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 15:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 15:33:09 GMT) (full text, mbox, link).


Message #45 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 17:07:38 +0200
Le 14/08/2020 à 15:51, Mark Hindley a écrit :

> 
> If you push your tree to your account on https://git.devuan.org, I will have a
> look.
> 
I have this issue for the moment :

https://stackoverflow.com/questions/41144654/git-error-rpc-failed-http-413-curl-22-the-requested-url-returned-error-413-re

so i can't push for the moment

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 16:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 16:33:08 GMT) (full text, mbox, link).


Message #50 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 18:15:31 +0200
Le 14/08/2020 à 15:51, Mark Hindley a écrit :

> 
> If you push your tree to your account on https://git.devuan.org, I will have a
> look.

nope. I believed there was an issue with the qemu nic card in session
mode as I know it has limitations but I get the same result on my host
computer.

$ export LC_ALL=C && git push -u origin master
error: unable to read askpass response from '/usr/bin/ssh-askpass'
Password for 'https://thierrybo@git.devuan.org':
Enumerating objects: 116436, done.
Counting objects: 100% (116436/116436), done.
Delta compression using up to 12 threads
Compressing objects: 100% (12530/12530), done.
error: RPC failed; HTTP 413 curl 22 The requested URL returned error: 413
fatal: the remote end hung up unexpectedly
Writing objects: 100% (116436/116436), 572.69 MiB | 6.56 MiB/s, done.
Total 116436 (delta 103155), reused 116331 (delta 103104), pack-reused 0
fatal: the remote end hung up unexpectedly
Everything up-to-date

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 18:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 18:18:04 GMT) (full text, mbox, link).


Message #55 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 20:00:58 +0200
Le 14/08/2020 à 15:51, Mark Hindley a écrit :

> 
> If you push your tree to your account on https://git.devuan.org, I will have a
> look.

OK using ssh instead of https solved my upload issue.
https://git.devuan.org/thierrybo/libvirt/src/branch/suites/unstable


Also the build process changed numerous files **outside** of /debian/
directory that I DID NOT COMMIT

I don't know what to do with them.

> 
> One of the nice things about gbp is you don't have to worrk about build-deps --
> it handles that for you cleanly in the build chroot without messing with the
> host system.

Then I must have done something wrong because gpb complained about that
and all builddep packages have been installed on the system in
/usr/bin/, not /var/cache/pbuilder/base-ceres.cow/usr/bin/  .


>> Also in "debian/control" section I did not found a source stanza
>> "Origin" in "debian/control"
> 
> If it isn't there, you create it. I usually put it next to the Vcs-* fields.
> 

OK

THBO

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 18:18:12 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 18:18:19 GMT) (full text, mbox, link).


Message #60 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 19:07:09 +0100
On Fri, Aug 14, 2020 at 08:00:58PM +0200, Thierry B. wrote:
> Le 14/08/2020 à 15:51, Mark Hindley a écrit :
> 
> > 
> > If you push your tree to your account on https://git.devuan.org, I will have a
> > look.
> 
> OK using ssh instead of https solved my upload issue.
> https://git.devuan.org/thierrybo/libvirt/src/branch/suites/unstable

Thanks. Got it. Building now.

Are you able to get on IRC #devuan-dev?

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 21:18:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 21:18:09 GMT) (full text, mbox, link).


Message #65 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 22:02:42 +0100
On Fri, Aug 14, 2020 at 08:00:58PM +0200, Thierry B. wrote:
> Le 14/08/2020 à 15:51, Mark Hindley a écrit :
> 
> > 
> > If you push your tree to your account on https://git.devuan.org, I will have a
> > look.
> 
> OK using ssh instead of https solved my upload issue.
> https://git.devuan.org/thierrybo/libvirt/src/branch/suites/unstable
> 
> 
> Also the build process changed numerous files **outside** of /debian/
> directory that I DID NOT COMMIT
> 
> I don't know what to do with them.

I usually use the gbp --git-export-dir= option to build elsewhere and avoid
changing the working tree.

I have built your branch and you have made a good start. It builds! I was going
to attach the build log, but it is 6.4M!

I have noticed a couple of things that need to be addressed. I will do a proper
review tomorrow.

Thanks for your work so far.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Fri, 14 Aug 2020 21:33:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Fri, 14 Aug 2020 21:33:08 GMT) (full text, mbox, link).


Message #70 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Fri, 14 Aug 2020 23:08:34 +0200
Le 14/08/2020 à 23:02, Mark Hindley a écrit :
> On Fri, Aug 14, 2020 at 08:00:58PM +0200, Thierry B. wrote:

> Thanks. Got it. Building now.
> 
> Are you able to get on IRC #devuan-dev?
> 

Ah, hot it, bi it is too late!


>> Also the build process changed numerous files **outside** of /debian/
>> directory that I DID NOT COMMIT
>>
>> I don't know what to do with them.
> 
> I usually use the gbp --git-export-dir= option to build elsewhere and avoid
> changing the working tree.
> 
> I have built your branch and you have made a good start. It builds! I was going
> to attach the build log, but it is 6.4M!
> 
> I have noticed a couple of things that need to be addressed. I will do a proper
> review tomorrow.
> 
> Thanks for your work so far.
> 
> Mark
> 
All this for changing 10 characters in control file!

THBO



Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Sat, 15 Aug 2020 10:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Sat, 15 Aug 2020 10:18:08 GMT) (full text, mbox, link).


Message #75 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Sat, 15 Aug 2020 11:04:29 +0100
Thierry,

On Fri, Aug 14, 2020 at 11:08:34PM +0200, Thierry B. wrote:
> > I have noticed a couple of things that need to be addressed. I will do a proper
> > review tomorrow.
> > 
> > Thanks for your work so far.
> > 
> > Mark
> > 
> All this for changing 10 characters in control file!

Well more for being persistent and being prepared to learn the process :)

You may have seen that Andreas Messer also offered to help.  So you may want to
do this jointly? The d/control Maintainer field can only take a single email address, but
other addresses can be added to Uploaders.

I have had a quick look and these issues struck me as needing attention:

d/control:

 - Set yourself as maintainer.
 - Remove uploaders (or replace with Andreas Messer?).
 - Remove the libvirt-daemon-system-systemd package. It will always be broken in Devuan.
 - Update the libvirt-daemon-system-sysv description to remove the systemd as default/preferred reference.

d/changelog:

 - Add '(Closes: #506)' so the bug will be automatically closed when the package
   enters the archive.
 - Maybe add a 'Fork for Devuan' entry to cover other changes?

Other than that, it builds and is reasonably lintian clean. It will be worth
checking with lintian again after you have made these new changes.

Let me know how you get on. #devuan-dev on irc.freenode.net is a good place to
get quick help.

Thanks

Mark (LeePen)

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Sat, 15 Aug 2020 14:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Sat, 15 Aug 2020 14:03:08 GMT) (full text, mbox, link).


Message #80 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Sat, 15 Aug 2020 15:49:54 +0200
Le 15/08/2020 à 12:04, Mark Hindley a écrit :


> 
> I have had a quick look and these issues struck me as needing attention:
> 
> d/control:
> 
>  - Set yourself as maintainer.
>  - Remove uploaders (or replace with Andreas Messer?)> 
> You may have seen that Andreas Messer also offered to help.  So you may want to
> do this jointly? The d/control Maintainer field can only take a single email address, but
> other addresses can be added to Uploaders.

Not commited yet.
Please explain the difference between Maintainer and Uploader.
I do not want to set myself as the maintainer as i'm not even able to
handle the whole build process on my computer and test the new deb on my
computer. I am still stucked at the build error and the build-dependency
problem. I am puzzled with your sentence:

> One of the nice things about gbp is you don't have to worrk about build-deps --
> it handles that for you cleanly in the build chroot without messing with the
> host system.

I would like to solve this problem.


>  - Remove the libvirt-daemon-system-systemd package. It will always be broken in Devuan.
>  - Update the libvirt-daemon-system-sysv description to remove the systemd as default/preferred reference.

commited.

But is the removing of 'libvirt-daemon-system-systemd' sufficient to
prevent building the package?

> 
> d/changelog:
> 
>  - Add '(Closes: #506)' so the bug will be automatically closed when the package
>    enters the archive.
>  - Maybe add a 'Fork for Devuan' entry to cover other changes?

Commited

> 
> Other than that, it builds and is reasonably lintian clean. It will be worth
> checking with lintian again after you have made these new changes.

I don't know how to do that. And I guess I have to do a successfully
local build before.

> 
> Let me know how you get on. #devuan-dev on irc.freenode.net is a good place to
> get quick help.
> 
> Thanks
> 
> Mark (LeePen)
> 

Connected

THBO (thierrybo)

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Sat, 15 Aug 2020 18:18:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Sat, 15 Aug 2020 18:18:08 GMT) (full text, mbox, link).


Message #85 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Sat, 15 Aug 2020 19:08:39 +0100
On Sat, Aug 15, 2020 at 03:49:54PM +0200, Thierry B. wrote:
> Le 15/08/2020 à 12:04, Mark Hindley a écrit :
> 
> 
> > 
> > I have had a quick look and these issues struck me as needing attention:
> > 
> > d/control:
> > 
> >  - Set yourself as maintainer.
> >  - Remove uploaders (or replace with Andreas Messer?)> 
> > You may have seen that Andreas Messer also offered to help.  So you may want to
> > do this jointly? The d/control Maintainer field can only take a single email address, but
> > other addresses can be added to Uploaders.
> 
> Not commited yet.
> Please explain the difference between Maintainer and Uploader.

The Maintainer is a single email address. It is used by the BTS to forward
bugs to. It doesn't indicate sole responsibility, but is the central contact
point.

Uploaders are other people who share responsibility for a package. There can be
any number of these.


> I do not want to set myself as the maintainer as i'm not even able to
> handle the whole build process on my computer and test the new deb on my
> computer. I am still stucked at the build error and the build-dependency
> problem. I am puzzled with your sentence:
> 
> > One of the nice things about gbp is you don't have to worrk about build-deps --
> > it handles that for you cleanly in the build chroot without messing with the
> > host system.
> 
> I would like to solve this problem.

We use gbp with pbuilder/cowbuilder. That means that the host system delegates the build
process to the pbuilder/cowbuilder chroot. That means you can test builds for
other architecture and suites other than the host system.

So first you set up the pbuilder/cowbuilder chroot with

 gbp --git-pbuilder --git-dist=ceres create --mirror http://pkgmaster.devuan.org/merged

That should create an unstable chroot in /var/cache/pbuilder/base-ceres.cow/

Then you build packages using that chroot. As part of this gbp will temporarily install the
necessary build-deps.

 gbp --git-pbuilder --git-dist=ceres --git-export-dir=../build

I use --git-export-dir so the working tree doesn't get changed by the build
process.

Does that make sense.

As far as your build failure goes:-

 - Do you have stray/old source tarballs in the parent directory? That might
   cause it. Try deleting them and letting gbp regenerate them.
  
 - Have you correctly tagged the upstream release? I think you need
   upstream/6.5.0 on commit 38c0fa742. That is how gbp generates the orig.tar.gz

 - If that doesn't work, try the build with --git-verbose and see if that
   produces more helpful error messages.

Hope that helps.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Sun, 16 Aug 2020 15:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Sun, 16 Aug 2020 15:48:04 GMT) (full text, mbox, link).


Message #90 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Sun, 16 Aug 2020 17:34:13 +0200
Le 15/08/2020 à 20:08, Mark Hindley a écrit :

> 
> We use gbp with pbuilder/cowbuilder. That means that the host system delegates the build
> process to the pbuilder/cowbuilder chroot. That means you can test builds for
> other architecture and suites other than the host system.
> 
> So first you set up the pbuilder/cowbuilder chroot with
> 
>  gbp --git-pbuilder --git-dist=ceres create --mirror http://pkgmaster.devuan.org/merged

OK this is what is in the maintainer's guide, except I have to use "gbp
buildpackage" otherwise it does not work.
> 
> That should create an unstable chroot in /var/cache/pbuilder/base-ceres.cow/
> 
> Then you build packages using that chroot. As part of this gbp will temporarily install the
> necessary build-deps.
> 
>  gbp --git-pbuilder --git-dist=ceres --git-export-dir=../build

OK, I have to use  "gbp buildpackage" as above.


> 
>  - Do you have stray/old source tarballs in the parent directory? That might
>    cause it. Try deleting them and letting gbp regenerate them.

Yes I had. I deleted them but get qame "error 127".

>   
>  - Have you correctly tagged the upstream release? I think you need
>    upstream/6.5.0 on commit 38c0fa742. That is how gbp generates the orig.tar.gz

No, this was not in the guide. And As far a I see, there is already one? :
https://i.imgur.com/8BibW5H.png

> 
>  - If that doesn't work, try the build with --git-verbose and see if that
>    produces more helpful error messages.
> 

here it is:

https://pastebin.com/p5hXzqbr

THBO


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Sun, 16 Aug 2020 19:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Sun, 16 Aug 2020 19:48:10 GMT) (full text, mbox, link).


Message #95 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Sun, 16 Aug 2020 20:39:35 +0100
On Sun, Aug 16, 2020 at 05:34:13PM +0200, Thierry B. wrote:
> Yes I had. I deleted them but get qame "error 127".
> 
> >   
> >  - Have you correctly tagged the upstream release? I think you need
> >    upstream/6.5.0 on commit 38c0fa742. That is how gbp generates the orig.tar.gz
> 
> No, this was not in the guide. And As far a I see, there is already one? :
> https://i.imgur.com/8BibW5H.png

That's good then.

> > 
> >  - If that doesn't work, try the build with --git-verbose and see if that
> >    produces more helpful error messages.
> > 
> 
> here it is:
> 
> https://pastebin.com/p5hXzqbr

Hmmm. I still can't reproduce that.

I wonder -- are you running out of space? It is a reasonably hefty build. The source tree
is 169M alone. I would have thought it could need 2G in /var once you add the
build deps.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Sun, 16 Aug 2020 22:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Sun, 16 Aug 2020 22:33:03 GMT) (full text, mbox, link).


Message #100 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Mon, 17 Aug 2020 00:17:27 +0200
Le 16/08/2020 à 21:39, Mark Hindley a écrit :

> 
> I wonder -- are you running out of space? It is a reasonably hefty build. The source tree
> is 169M alone. I would have thought it could need 2G in /var once you add the
> build deps.
> 


I guess it is fine? :

LC_ALL=C df -h
Filesystem      Size  Used Avail Use% Mounted on
udev            980M     0  980M   0% /dev
tmpfs           200M  652K  199M   1% /run
/dev/vda1        18G   11G  6.5G  62% /
tmpfs           5.0M  4.0K  5.0M   1% /run/lock
tmpfs           808M     0  808M   0% /dev/shm
cgroup_root      10M     0   10M   0% /sys/fs/cgroup
tmpfs           200M   32K  200M   1% /run/user/1000

THBO

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Tue, 18 Aug 2020 07:03:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Tue, 18 Aug 2020 07:03:07 GMT) (full text, mbox, link).


Message #105 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Mon, 17 Aug 2020 10:16:14 +0100
On Sun, Aug 16, 2020 at 05:34:13PM +0200, Thierry B. wrote:
> here it is:
> 
> https://pastebin.com/p5hXzqbr

>> pkg-source: info: using source format '3.0 (quilt)'
>> dpkg-source: info: building libvirt using existing ./libvirt_6.5.0.orig.tar.gz
>> dpkg-source: info: using patch list from debian/patches/series
>> dpkg-source: warning: libvirt-6.5.0/debian/changelog(l7): badly formatted trailer line
>> LINE:  -- Thierry Bothorel <thierrybothorel@yahoo.fr>   Sun, 16 Aug 2020 17:02:32 +0200
>> dpkg-source: warning: libvirt-6.5.0/debian/changelog(l9): found start of entry where expected more change data or trailer
>> LINE: libvirt (6.5.0-1+devuan1) unstable; urgency=medium
>> dpkg-source: warning: libvirt-6.5.0/debian/changelog(l9): found end of file where expected more change data or trailer
>> gbp:error: 'git-pbuilder' failed: it exited with 127

The fact that you are using --git-ignore-new and there are changelog parsing
errors suggests you have some unchecked in changes.

I would reset the working tree (or stash them if they might be useful), delete
existing ./libvirt_6.5.0.orig.tar.gz and rebuild without --git-ignore-new.

Once you have a clean tree `dpkg-parsechangelog` should not report any errors.

Hope that helps.

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Tue, 18 Aug 2020 07:03:09 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Tue, 18 Aug 2020 07:03:12 GMT) (full text, mbox, link).


Message #110 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Mon, 17 Aug 2020 14:23:45 +0200
Le 17/08/2020 à 11:16, Mark Hindley a écrit :

> 
> The fact that you are using --git-ignore-new and there are changelog parsing
> errors suggests you have some unchecked in changes.


> I would reset the working tree (or stash them if they might be useful), delete
> existing ./libvirt_6.5.0.orig.tar.gz and rebuild without --git-ignore-new.

> Once you have a clean tree `dpkg-parsechangelog` should not report any errors.
> 
> Hope that helps.
> 

Yes I removed them, did not changed anything.

Otherwise I decided to install the build environment on my real Devuan
testing computer to see if I have the same problem .... with even less
luck. The cowbuilder chroot creation fails and is stucked at "I:
Retrieving InRelease:":

> bp buildpackage --git-pbuilder --git-dist=ceres create --mirror http://pkgmaster.devuan.org/merged --git-verbose
> gbp:debug: ['git', 'rev-parse', '--show-cdup']
> gbp:debug: ['git', 'rev-parse', '--is-bare-repository']
> gbp:debug: ['git', 'rev-parse', '--git-dir']
> gbp:debug: /bin/true [] []
> gbp:debug: ['git', 'status', '--porcelain']
> gbp:debug: ['git', 'symbolic-ref', 'HEAD']
> gbp:debug: ['git', 'show-ref', 'refs/heads/suites/unstable']
> gbp:info: Building with (cowbuilder) for ceres
> gbp:debug: ['git', 'show-ref', '--verify', 'refs/heads/pristine-tar']
> gbp:debug: ['git', 'show-ref', '--verify', 'refs/remotes/origin/pristine-tar']
> gbp:info: Performing the build
> gbp:debug: git-pbuilder ['create', '--mirror', 'http://pkgmaster.devuan.org/merged'] []
> I: Invoking pbuilder
> I: forking: pbuilder create --buildplace /var/cache/pbuilder/base-ceres.cow --mirror http://pkgmaster.devuan.org/merged --distribution ceres --no-targz --extrapackages cowdancer
> W: /root/.pbuilderrc does not exist
> I: Running in no-targz mode
> W: cgroups are not available on the host, not using them.
> I: Distribution is ceres.
> I: Current time: Mon Aug 17 13:38:41 CEST 2020
> I: pbuilder-time-stamp: 1597664321
> I: Building the build environment
> I: running debootstrap
> /usr/sbin/debootstrap
> I: Target architecture can be executed
> I: Retrieving InRelease 

and the '/var/cache/pbuilder/base-ceres.cow/debootstrap/debootstrap.log'
is filled with:

> amd64: ok
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.
> failed: Connection timed out.

... but this is another story...

By the way if you want to see by yourself I am ready for a Anydesk
session ....


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Tue, 18 Aug 2020 07:03:14 GMT) (full text, mbox, link).


Acknowledgement sent to Mark Hindley <mark@hindley.org.uk>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Tue, 18 Aug 2020 07:03:16 GMT) (full text, mbox, link).


Message #115 received at 506@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: "Thierry B." <thierryb@zaclys.net>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Mon, 17 Aug 2020 14:03:26 +0100
On Mon, Aug 17, 2020 at 02:23:45PM +0200, Thierry B. wrote:
> Le 17/08/2020 à 11:16, Mark Hindley a écrit :
> 
> > 
> > The fact that you are using --git-ignore-new and there are changelog parsing
> > errors suggests you have some unchecked in changes.
> 
> 
> > I would reset the working tree (or stash them if they might be useful), delete
> > existing ./libvirt_6.5.0.orig.tar.gz and rebuild without --git-ignore-new.
> 
> > Once you have a clean tree `dpkg-parsechangelog` should not report any errors.
> > 
> > Hope that helps.
> > 
> 
> Yes I removed them, did not changed anything.
> 
> Otherwise I decided to install the build environment on my real Devuan
> testing computer to see if I have the same problem .... with even less
> luck. The cowbuilder chroot creation fails and is stucked at "I:
> Retrieving InRelease:":

That is because there are infra problems today. pkgmaster.devuan.org is down at
the moment.
 
> By the way if you want to see by yourself I am ready for a Anydesk
> session ....

OK. I'll install a client. Later this afternoon?

Mark

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>:
bug#506; Package libvirt-daemon-system. (Tue, 18 Aug 2020 07:03:18 GMT) (full text, mbox, link).


Acknowledgement sent to "Thierry B." <thierryb@zaclys.net>:
Extra info received and forwarded to list. Copy sent to Devuan Libvirt Maintainers <pkg-libvirt-maintainers@devuan.org>. (Tue, 18 Aug 2020 07:03:20 GMT) (full text, mbox, link).


Message #120 received at 506@bugs.devuan.org (full text, mbox, reply):

From: "Thierry B." <thierryb@zaclys.net>
To: Mark Hindley <mark@hindley.org.uk>
Cc: 506@bugs.devuan.org, andi@bastelmap.de
Subject: Re: libvirt-daemon-system should not depend on policykit-1
Date: Mon, 17 Aug 2020 15:14:43 +0200
Le 17/08/2020 à 15:03, Mark Hindley a écrit :

>  
>> By the way if you want to see by yourself I am ready for a Anydesk
>> session ....
> 
> OK. I'll install a client. Later this afternoon?
> 
> Mark
> 

I am ready now this afternoon... after that afk until Friday.

THBO

Reply sent to Andreas Messer <andi@bastelmap.de>:
You have taken responsibility. (Thu, 22 Apr 2021 19:03:01 GMT) (full text, mbox, link).


Notification sent to "Thierry B." <thierryb@zaclys.net>:
bug acknowledged by developer. (Thu, 22 Apr 2021 19:03:08 GMT) (full text, mbox, link).


Message #125 received at 506-done@bugs.devuan.org (full text, mbox, reply):

From: Andreas Messer <andi@bastelmap.de>
To: 506-done@bugs.devuan.org
Subject: libvirt-daemon-system should not depend on policykit-1
Date: Thu, 22 Apr 2021 20:55:23 +0200
[Message part 1 (text/plain, inline)]
Package: libvirt-daemon-system
Version: 6.5.0-1+devuan3

Found this during house-keeping. Was already addressed by 
Thierry B. a while ago.

Andreas
-- 
gnuPG keyid: 8C2BAF51
fingerprint: 28EE 8438 E688 D992 3661 C753 90B3 BAAA 8C2B AF51
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Dec 2 03:24:07 2021;